package com.ruoyi.system1.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 优惠券对象 coupon
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public class Coupon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "优惠券id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /** $column.columnComment */
    @Excel(name = "名字")
    private String name;

    /** 类型（1-满减券 2-折扣券） */
    @Excel(name = "类型", readConverterExp = "1=-满减券,2=-折扣券")
    private Integer type;

    /** 满减条件 */
    @Excel(name = "满减条件")
    private BigDecimal conditionAmount;

    /** 优惠值 */
    @Excel(name = "优惠值")
    private BigDecimal discount;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long userId;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /** 库存 */
    @Excel(name = "库存")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long stock;

    /** $column.columnComment */
    @Excel(name = "开始时间")
    private Date startTime;

    /** $column.columnComment */
    @Excel(name = "结束啥时间")
    private Date endTime;

    /** NULL表示平台券 */
    @Excel(name = "NULL表示平台券")
    private String shopId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    @Override
    public String toString() {
        return "Coupon{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", type=" + type +
                ", conditionAmount=" + conditionAmount +
                ", discount=" + discount +
                ", userId=" + userId +
                ", stock=" + stock +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", shopId='" + shopId + '\'' +
                '}';
    }

    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }

    public void setConditionAmount(BigDecimal conditionAmount) 
    {
        this.conditionAmount = conditionAmount;
    }

    public BigDecimal getConditionAmount() 
    {
        return conditionAmount;
    }

    public void setDiscount(BigDecimal discount) 
    {
        this.discount = discount;
    }

    public BigDecimal getDiscount() 
    {
        return discount;
    }

    public void setStock(Long stock) 
    {
        this.stock = stock;
    }

    public Long getStock() 
    {
        return stock;
    }

    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }

    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }

    public void setShopId(String     shopId)
    {
        this.shopId = shopId;
    }

    public String getShopId()
    {
        return shopId;
    }

}
