package com.ruoyi.system1.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 课程对象 course
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public class Course extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "课程id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String title;

    /** 所属店铺 */
    @Excel(name = "所属店铺id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long shopId;

    /** 主讲老师 */
    @Excel(name = "主讲老师id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long teacherId;

    /** 分类 */
    @Excel(name = "分类id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long categoryId;

    /** 原价 */
    @Excel(name = "原价")
    private BigDecimal price;

    /** 缩略图 */
    @Excel(name = "缩略图")
    private String coverImg;

    /** 轮播图（JSON数组存储） */
    @Excel(name = "轮播图", readConverterExp = "J=SON数组存储")
    private String bannerImgs;

    /** 课程开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "课程开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 课程结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "课程结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 状态（0-未上架 1-已上架） */
    @Excel(name = "状态", readConverterExp = "0=-未上架,1=-已上架")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    public void setShopId(Long shopId) 
    {
        this.shopId = shopId;
    }

    public Long getShopId() 
    {
        return shopId;
    }

    public void setTeacherId(Long teacherId) 
    {
        this.teacherId = teacherId;
    }

    public Long getTeacherId() 
    {
        return teacherId;
    }

    public void setCategoryId(Long categoryId) 
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId() 
    {
        return categoryId;
    }

    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }

    public void setCoverImg(String coverImg) 
    {
        this.coverImg = coverImg;
    }

    public String getCoverImg() 
    {
        return coverImg;
    }

    public void setBannerImgs(String bannerImgs) 
    {
        this.bannerImgs = bannerImgs;
    }

    public String getBannerImgs() 
    {
        return bannerImgs;
    }

    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }

    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }

    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("shopId", getShopId())
            .append("teacherId", getTeacherId())
            .append("categoryId", getCategoryId())
            .append("price", getPrice())
            .append("coverImg", getCoverImg())
            .append("bannerImgs", getBannerImgs())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("status", getStatus())
            .toString();
    }
}
