package com.ruoyi.system1.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 课程章节对象 course_section
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public class CourseSection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "课程章节id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /** $column.columnComment */
    @Excel(name = "课程id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long courseId;

    /** 小节标题 */
    @Excel(name = "小节标题")
    private String title;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String videoUrl;

    /** 时长（秒） */
    @Excel(name = "时长", readConverterExp = "秒=")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long duration;

    /** 排序号 */
    @Excel(name = "排序号")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long orderNum;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setCourseId(Long courseId) 
    {
        this.courseId = courseId;
    }

    public Long getCourseId() 
    {
        return courseId;
    }

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    public void setVideoUrl(String videoUrl) 
    {
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl() 
    {
        return videoUrl;
    }

    public void setDuration(Long duration) 
    {
        this.duration = duration;
    }

    public Long getDuration() 
    {
        return duration;
    }

    public void setOrderNum(Long orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum() 
    {
        return orderNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("courseId", getCourseId())
            .append("title", getTitle())
            .append("videoUrl", getVideoUrl())
            .append("duration", getDuration())
            .append("orderNum", getOrderNum())
            .toString();
    }
}
