package com.ruoyi.system1.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 店铺对象 shop
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public class Shop extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "店铺id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /** 店铺名称 */
    @Excel(name = "店铺名称")
    private String name;

    /** 店铺Logo */
    @Excel(name = "店铺Logo")
    private String logo;

    /** 店铺简介 */
    @Excel(name = "店铺简介")
    private String description;

    /** 状态（0-待审核 1-已通过 2-已拒绝） */
    @Excel(name = "状态", readConverterExp = "0=-待审核,1=-已通过,2=-已拒绝")
    private Integer status;

    /** 主管理员ID */
    @Excel(name = "用户id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long adminUserId;

    @Excel(name = "创建时间", readConverterExp = "创建时间")
    private Date createTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setLogo(String logo) 
    {
        this.logo = logo;
    }

    public String getLogo() 
    {
        return logo;
    }

    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public void setAdminUserId(Long adminUserId) 
    {
        this.adminUserId = adminUserId;
    }

    public Long getAdminUserId() 
    {
        return adminUserId;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("logo", getLogo())
            .append("description", getDescription())
            .append("status", getStatus())
            .append("adminUserId", getAdminUserId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
