package com.ruoyi.system1.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 教师对象 teacher
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public class Teacher extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 老师ID（Snowflake生成） */
    @Excel(name = "老师ID", readConverterExp = "S=nowflake生成")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /** 老师姓名 */
    @Excel(name = "老师姓名")
    private String name;

    /** 头像URL */
    @Excel(name = "头像URL")
    private String avatar;

    /** 职称/头衔 */
    @Excel(name = "职称/头衔")
    private String title;

    /** 老师简介 */
    @Excel(name = "老师简介")
    private String intro;

    /** 所属店铺（NULL表示平台自有老师） */
    @Excel(name = "店铺id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long shopId;

    /** 关联的用户ID（如果老师需要登录系统） */
    @Excel(name = "用户id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long userId;

    /** 状态（0-待审核 1-已上架 2-已禁用） */
    @Excel(name = "状态", readConverterExp = "0=-待审核,1=-已上架,2=-已禁用")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    public void setIntro(String intro) 
    {
        this.intro = intro;
    }

    public String getIntro() 
    {
        return intro;
    }

    public void setShopId(Long shopId) 
    {
        this.shopId = shopId;
    }

    public Long getShopId() 
    {
        return shopId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("avatar", getAvatar())
            .append("title", getTitle())
            .append("intro", getIntro())
            .append("shopId", getShopId())
            .append("userId", getUserId())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
