package com.ruoyi.system1.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户对象 user
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public class User extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID（使用Snowflake算法生成） */
    @Excel(name = "用户ID", readConverterExp = "使=用Snowflake算法生成")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /** $column.columnComment */
    @Excel(name = "微信openid")
    private String openId;

    /** $column.columnComment */
    @Excel(name = "微信unionid")
    private String unionId;

    /** $column.columnComment */
    @Excel(name = "微信sessionKey")
    private String sessionKey;

    /** 登录账号 */
    @Excel(name = "登录账号")
    private String username;

    /** 加密后的密码 */
    @Excel(name = "加密后的密码")
    private String password;

    /** 盐 */
    @Excel(name = "盐")
    private String salt;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickname;

    /** 头像URL */
    @Excel(name = "头像URL")
    private String avatar;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 会员等级（0-普通用户） */
    @Excel(name = "会员等级", readConverterExp = "0=-普通用户")
    private Integer memberLevel;

    /** 状态（0-禁用 1-正常） */
    @Excel(name = "状态", readConverterExp = "0=-禁用,1=-正常")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setOpenId(String openId) 
    {
        this.openId = openId;
    }

    public String getOpenId() 
    {
        return openId;
    }

    public void setUnionId(String unionId) 
    {
        this.unionId = unionId;
    }

    public String getUnionId() 
    {
        return unionId;
    }

    public void setSessionKey(String sessionKey) 
    {
        this.sessionKey = sessionKey;
    }

    public String getSessionKey() 
    {
        return sessionKey;
    }

    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }

    public void setPassword(String password) 
    {
        this.password = password;
    }

    public String getPassword() 
    {
        return password;
    }

    public void setSalt(String salt) 
    {
        this.salt = salt;
    }

    public String getSalt() 
    {
        return salt;
    }

    public void setNickname(String nickname) 
    {
        this.nickname = nickname;
    }

    public String getNickname() 
    {
        return nickname;
    }

    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }

    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }

    public void setMemberLevel(Integer memberLevel) 
    {
        this.memberLevel = memberLevel;
    }

    public Integer getMemberLevel() 
    {
        return memberLevel;
    }

    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("openId", getOpenId())
            .append("unionId", getUnionId())
            .append("sessionKey", getSessionKey())
            .append("username", getUsername())
            .append("password", getPassword())
            .append("salt", getSalt())
            .append("nickname", getNickname())
            .append("avatar", getAvatar())
            .append("mobile", getMobile())
            .append("memberLevel", getMemberLevel())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
