package com.ruoyi.system1.mapper;

import java.util.List;
import com.ruoyi.system1.domain.CourseCategory;
import org.apache.ibatis.annotations.Mapper;

/**
 * 课程分类Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
@Mapper
public interface CourseCategoryMapper 
{
    /**
     * 查询课程分类
     * 
     * @param id 课程分类主键
     * @return 课程分类
     */
    public CourseCategory selectCourseCategoryById(Long id);

    public List<CourseCategory> selectCourseCategoryAll();
    /**
     * 查询课程分类列表
     * 
     * @param courseCategory 课程分类
     * @return 课程分类集合
     */
    public List<CourseCategory> selectCourseCategoryList(CourseCategory courseCategory);

    /**
     * 新增课程分类
     * 
     * @param courseCategory 课程分类
     * @return 结果
     */
    public int insertCourseCategory(CourseCategory courseCategory);

    /**
     * 修改课程分类
     * 
     * @param courseCategory 课程分类
     * @return 结果
     */
    public int updateCourseCategory(CourseCategory courseCategory);

    /**
     * 删除课程分类
     * 
     * @param id 课程分类主键
     * @return 结果
     */
    public int deleteCourseCategoryById(Long id);

    /**
     * 批量删除课程分类
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCourseCategoryByIds(Long[] ids);
}
