package com.ruoyi.system1.mapper;

import java.util.List;
import com.ruoyi.system1.domain.CourseSection;
import org.apache.ibatis.annotations.Mapper;

/**
 * 课程章节Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
@Mapper
public interface CourseSectionMapper 
{
    /**
     * 查询课程章节
     * 
     * @param id 课程章节主键
     * @return 课程章节
     */
    public CourseSection selectCourseSectionById(Long id);

    /**
     * 查询课程章节列表
     * 
     * @param courseSection 课程章节
     * @return 课程章节集合
     */
    public List<CourseSection> selectCourseSectionList(CourseSection courseSection);

    /**
     * 新增课程章节
     * 
     * @param courseSection 课程章节
     * @return 结果
     */
    public int insertCourseSection(CourseSection courseSection);

    /**
     * 修改课程章节
     * 
     * @param courseSection 课程章节
     * @return 结果
     */
    public int updateCourseSection(CourseSection courseSection);

    /**
     * 删除课程章节
     * 
     * @param id 课程章节主键
     * @return 结果
     */
    public int deleteCourseSectionById(Long id);

    /**
     * 批量删除课程章节
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCourseSectionByIds(Long[] ids);
}
