package com.ruoyi.system1.mapper;

import java.util.List;
import com.ruoyi.system1.domain.ShopAdmin;

/**
 * 店铺管理员Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-08
 */
public interface ShopAdminMapper 
{
    /**
     * 查询店铺管理员
     * 
     * @param shopId 店铺管理员主键
     * @return 店铺管理员
     */
    public ShopAdmin selectShopAdminByShopId(Long shopId);

    /**
     * 查询店铺管理员列表
     * 
     * @param shopAdmin 店铺管理员
     * @return 店铺管理员集合
     */
    public List<ShopAdmin> selectShopAdminList(ShopAdmin shopAdmin);



    /**
     * 新增店铺管理员
     * 
     * @param shopAdmin 店铺管理员
     * @return 结果
     */
    public int insertShopAdmin(ShopAdmin shopAdmin);

    /**
     * 修改店铺管理员
     * 
     * @param shopAdmin 店铺管理员
     * @return 结果
     */
    public int updateShopAdmin(ShopAdmin shopAdmin);

    /**
     * 删除店铺管理员
     * 
     * @param shopId 店铺管理员主键
     * @return 结果
     */
    public int deleteShopAdminByShopId(Long shopId);

    /**
     * 批量删除店铺管理员
     * 
     * @param shopIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteShopAdminByShopIds(Long[] shopIds);
}
