package com.ruoyi.system1.service;

import java.util.List;
import com.ruoyi.system1.domain.CourseCategory;

/**
 * 课程分类Service接口
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public interface ICourseCategoryService 
{
    /**
     * 查询课程分类
     * 
     * @param id 课程分类主键
     * @return 课程分类
     */
    public CourseCategory selectCourseCategoryById(Long id);


    public List<CourseCategory> selectCourseCategoryAll();

    /**
     * 查询课程分类列表
     * 
     * @param courseCategory 课程分类
     * @return 课程分类集合
     */
    public List<CourseCategory> selectCourseCategoryList(CourseCategory courseCategory);

    /**
     * 新增课程分类
     * 
     * @param courseCategory 课程分类
     * @return 结果
     */
    public int insertCourseCategory(CourseCategory courseCategory);

    /**
     * 修改课程分类
     * 
     * @param courseCategory 课程分类
     * @return 结果
     */
    public int updateCourseCategory(CourseCategory courseCategory);

    /**
     * 批量删除课程分类
     * 
     * @param ids 需要删除的课程分类主键集合
     * @return 结果
     */
    public int deleteCourseCategoryByIds(Long[] ids);

    /**
     * 删除课程分类信息
     * 
     * @param id 课程分类主键
     * @return 结果
     */
    public int deleteCourseCategoryById(Long id);
}
