package com.ruoyi.system1.service;

import java.util.List;
import com.ruoyi.system1.domain.Order1;

/**
 * 订单Service接口
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public interface IOrder1Service 
{
    /**
     * 查询订单
     * 
     * @param id 订单主键
     * @return 订单
     */
    public Order1 selectOrder1ById(Long id);

    /**
     * 查询订单列表
     * 
     * @param order1 订单
     * @return 订单集合
     */
    public List<Order1> selectOrder1List(Order1 order1);

    /**
     * 新增订单
     * 
     * @param order1 订单
     * @return 结果
     */
    public int insertOrder1(Order1 order1);

    /**
     * 修改订单
     * 
     * @param order1 订单
     * @return 结果
     */
    public int updateOrder1(Order1 order1);

    /**
     * 批量删除订单
     * 
     * @param ids 需要删除的订单主键集合
     * @return 结果
     */
    public int deleteOrder1ByIds(Long[] ids);

    /**
     * 删除订单信息
     * 
     * @param id 订单主键
     * @return 结果
     */
    public int deleteOrder1ById(Long id);
}
