package com.ruoyi.system1.service;

import java.util.List;
import com.ruoyi.system1.domain.OrderCoupon;

/**
 * 订单优惠券Service接口
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public interface IOrderCouponService 
{
    /**
     * 查询订单优惠券
     * 
     * @param orderId 订单优惠券主键
     * @return 订单优惠券
     */
    public OrderCoupon selectOrderCouponByOrderId(Long orderId);

    /**
     * 查询订单优惠券列表
     * 
     * @param orderCoupon 订单优惠券
     * @return 订单优惠券集合
     */
    public List<OrderCoupon> selectOrderCouponList(OrderCoupon orderCoupon);

    /**
     * 新增订单优惠券
     * 
     * @param orderCoupon 订单优惠券
     * @return 结果
     */
    public int insertOrderCoupon(OrderCoupon orderCoupon);

    /**
     * 修改订单优惠券
     * 
     * @param orderCoupon 订单优惠券
     * @return 结果
     */
    public int updateOrderCoupon(OrderCoupon orderCoupon);

    /**
     * 批量删除订单优惠券
     * 
     * @param orderIds 需要删除的订单优惠券主键集合
     * @return 结果
     */
    public int deleteOrderCouponByOrderIds(Long[] orderIds);

    /**
     * 删除订单优惠券信息
     * 
     * @param orderId 订单优惠券主键
     * @return 结果
     */
    public int deleteOrderCouponByOrderId(Long orderId);
}
