package com.ruoyi.system1.service;

import java.util.List;
import com.ruoyi.system1.domain.OrderItem;

/**
 * 订单项Service接口
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public interface IOrderItemService 
{
    /**
     * 查询订单项
     * 
     * @param id 订单项主键
     * @return 订单项
     */
    public OrderItem selectOrderItemById(Long id);

    /**
     * 查询订单项列表
     * 
     * @param orderItem 订单项
     * @return 订单项集合
     */
    public List<OrderItem> selectOrderItemList(OrderItem orderItem);

    /**
     * 新增订单项
     * 
     * @param orderItem 订单项
     * @return 结果
     */
    public int insertOrderItem(OrderItem orderItem);

    /**
     * 修改订单项
     * 
     * @param orderItem 订单项
     * @return 结果
     */
    public int updateOrderItem(OrderItem orderItem);

    /**
     * 批量删除订单项
     * 
     * @param ids 需要删除的订单项主键集合
     * @return 结果
     */
    public int deleteOrderItemByIds(Long[] ids);

    /**
     * 删除订单项信息
     * 
     * @param id 订单项主键
     * @return 结果
     */
    public int deleteOrderItemById(Long id);
}
