package com.ruoyi.system1.service;

import java.util.List;
import com.ruoyi.system1.domain.UserCoupon;

/**
 * 用户优惠券Service接口
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public interface IUserCouponService 
{
    /**
     * 查询用户优惠券
     * 
     * @param id 用户优惠券主键
     * @return 用户优惠券
     */
    public UserCoupon selectUserCouponById(Long id);

    /**
     * 查询用户优惠券列表
     * 
     * @param userCoupon 用户优惠券
     * @return 用户优惠券集合
     */
    public List<UserCoupon> selectUserCouponList(UserCoupon userCoupon);

    /**
     * 新增用户优惠券
     * 
     * @param userCoupon 用户优惠券
     * @return 结果
     */
    public int insertUserCoupon(UserCoupon userCoupon);

    /**
     * 修改用户优惠券
     * 
     * @param userCoupon 用户优惠券
     * @return 结果
     */
    public int updateUserCoupon(UserCoupon userCoupon);

    /**
     * 批量删除用户优惠券
     * 
     * @param ids 需要删除的用户优惠券主键集合
     * @return 结果
     */
    public int deleteUserCouponByIds(Long[] ids);

    /**
     * 删除用户优惠券信息
     * 
     * @param id 用户优惠券主键
     * @return 结果
     */
    public int deleteUserCouponById(Long id);
}
