package com.ruoyi.system1.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system1.util.SnowflakeIdWorker;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system1.mapper.Order1Mapper;
import com.ruoyi.system1.domain.Order1;
import com.ruoyi.system1.service.IOrder1Service;

/**
 * 订单Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
@Service
public class Order1ServiceImpl implements IOrder1Service 
{
    @Autowired
    private Order1Mapper order1Mapper;

    /**
     * 查询订单
     * 
     * @param id 订单主键
     * @return 订单
     */
    @Override
    public Order1 selectOrder1ById(Long id)
    {
        return order1Mapper.selectOrder1ById(id);
    }

    /**
     * 查询订单列表
     * 
     * @param order1 订单
     * @return 订单
     */
    @Override
    public List<Order1> selectOrder1List(Order1 order1)
    {
        return order1Mapper.selectOrder1List(order1);
    }

    /**
     * 新增订单
     * 
     * @param order1 订单
     * @return 结果
     */
    @Override
    public int insertOrder1(Order1 order1)
    {

        SnowflakeIdWorker snowflakeIdWorker=new SnowflakeIdWorker(1,1);
        order1.setId(snowflakeIdWorker.nextId());
        order1.setCreateTime(DateUtils.getNowDate());
        System.err.println(order1);
        return order1Mapper.insertOrder1(order1);
    }

    /**
     * 修改订单
     * 
     * @param order1 订单
     * @return 结果
     */
    @Override
    public int updateOrder1(Order1 order1)
    {
        return order1Mapper.updateOrder1(order1);
    }

    /**
     * 批量删除订单
     * 
     * @param ids 需要删除的订单主键
     * @return 结果
     */
    @Override
    public int deleteOrder1ByIds(Long[] ids)
    {
        return order1Mapper.deleteOrder1ByIds(ids);
    }

    /**
     * 删除订单信息
     * 
     * @param id 订单主键
     * @return 结果
     */
    @Override
    public int deleteOrder1ById(Long id)
    {
        return order1Mapper.deleteOrder1ById(id);
    }
}
