package com.ruoyi.system1.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system1.mapper.OrderCouponMapper;
import com.ruoyi.system1.domain.OrderCoupon;
import com.ruoyi.system1.service.IOrderCouponService;

/**
 * 订单优惠券Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
@Service
public class OrderCouponServiceImpl implements IOrderCouponService 
{
    @Autowired
    private OrderCouponMapper orderCouponMapper;

    /**
     * 查询订单优惠券
     * 
     * @param orderId 订单优惠券主键
     * @return 订单优惠券
     */
    @Override
    public OrderCoupon selectOrderCouponByOrderId(Long orderId)
    {
        return orderCouponMapper.selectOrderCouponByOrderId(orderId);
    }

    /**
     * 查询订单优惠券列表
     * 
     * @param orderCoupon 订单优惠券
     * @return 订单优惠券
     */
    @Override
    public List<OrderCoupon> selectOrderCouponList(OrderCoupon orderCoupon)
    {
        return orderCouponMapper.selectOrderCouponList(orderCoupon);
    }

    /**
     * 新增订单优惠券
     * 
     * @param orderCoupon 订单优惠券
     * @return 结果
     */
    @Override
    public int insertOrderCoupon(OrderCoupon orderCoupon)
    {
        return orderCouponMapper.insertOrderCoupon(orderCoupon);
    }

    /**
     * 修改订单优惠券
     * 
     * @param orderCoupon 订单优惠券
     * @return 结果
     */
    @Override
    public int updateOrderCoupon(OrderCoupon orderCoupon)
    {
        return orderCouponMapper.updateOrderCoupon(orderCoupon);
    }

    /**
     * 批量删除订单优惠券
     * 
     * @param orderIds 需要删除的订单优惠券主键
     * @return 结果
     */
    @Override
    public int deleteOrderCouponByOrderIds(Long[] orderIds)
    {
        return orderCouponMapper.deleteOrderCouponByOrderIds(orderIds);
    }

    /**
     * 删除订单优惠券信息
     * 
     * @param orderId 订单优惠券主键
     * @return 结果
     */
    @Override
    public int deleteOrderCouponByOrderId(Long orderId)
    {
        return orderCouponMapper.deleteOrderCouponByOrderId(orderId);
    }
}
