package com.ruoyi.system1.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system1.mapper.ShopAdminMapper;
import com.ruoyi.system1.domain.ShopAdmin;
import com.ruoyi.system1.service.IShopAdminService;

/**
 * 店铺管理员Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-08
 */
@Service
public class ShopAdminServiceImpl implements IShopAdminService 
{
    @Autowired
    private ShopAdminMapper shopAdminMapper;

    /**
     * 查询店铺管理员
     * 
     * @param shopId 店铺管理员主键
     * @return 店铺管理员
     */
    @Override
    public ShopAdmin selectShopAdminByShopId(Long shopId)
    {
        return shopAdminMapper.selectShopAdminByShopId(shopId);
    }

    /**
     * 查询店铺管理员列表
     * 
     * @param shopAdmin 店铺管理员
     * @return 店铺管理员
     */
    @Override
    public List<ShopAdmin> selectShopAdminList(ShopAdmin shopAdmin)
    {
        return shopAdminMapper.selectShopAdminList(shopAdmin);
    }

    /**
     * 新增店铺管理员
     * 
     * @param shopAdmin 店铺管理员
     * @return 结果
     */
    @Override
    public int insertShopAdmin(ShopAdmin shopAdmin)
    {
        return shopAdminMapper.insertShopAdmin(shopAdmin);
    }

    /**
     * 修改店铺管理员
     * 
     * @param shopAdmin 店铺管理员
     * @return 结果
     */
    @Override
    public int updateShopAdmin(ShopAdmin shopAdmin)
    {
        return shopAdminMapper.updateShopAdmin(shopAdmin);
    }

    /**
     * 批量删除店铺管理员
     * 
     * @param shopIds 需要删除的店铺管理员主键
     * @return 结果
     */
    @Override
    public int deleteShopAdminByShopIds(Long[] shopIds)
    {
        return shopAdminMapper.deleteShopAdminByShopIds(shopIds);
    }

    /**
     * 删除店铺管理员信息
     * 
     * @param shopId 店铺管理员主键
     * @return 结果
     */
    @Override
    public int deleteShopAdminByShopId(Long shopId)
    {
        return shopAdminMapper.deleteShopAdminByShopId(shopId);
    }
}
