package com.ruoyi.system1.service.impl;

import com.aliyun.oss.OSSClient;
import com.aliyun.oss.model.ObjectMetadata;
import com.ruoyi.common.utils.uuid.UUID;
import com.ruoyi.system1.service.UploadService;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.io.InputStream;

@Service
public class UploadServiceImpl implements UploadService {

    public String getExtensionType(String extension){
        switch(extension.toLowerCase()){
            case ".bmp":
                return "image/bmp";
            case ".gif":
                return "image/gif";
            case ".jpeg":
                return "image/jpeg";
            case ".jpg":
                return "image/jpeg";
            case ".mp4":
                return "image/mp4";
            case (".png"):
                return "image/png";
            case ".html":
                return "text/html";
            case ".txt":
                return "text/plain";
            case ".vsd":
                return "application/vnd.visio";
            case ".xml":
                return "text/xml";
                default:
                    return ".txt";

        }
    }

    @Override
    public String upload(String endpiont, String accessId, String accessKey, String bucketName, String uploaddir, String url, MultipartFile upfile) {
        System.err.println("===================");
        InputStream ios=null;
        //按UUID生成新的文件名
        String uuidName=UUID.randomUUID().toString().replace("-", "");
        String getInputFileName=upfile.getOriginalFilename();
        String extension = upfile.getOriginalFilename().substring(upfile.getOriginalFilename().lastIndexOf("."));

        String objectKey=uploaddir+uuidName+getInputFileName;
        try {
            ios=upfile.getInputStream();
            OSSClient ossClient=new OSSClient(endpiont,accessId,accessKey);

            ObjectMetadata meta=new ObjectMetadata();

            meta.setContentType(this.getExtensionType(extension));
            meta.setContentLength(upfile.getSize());

            ossClient.putObject(bucketName,objectKey,ios,meta);
            ios.close();
        }catch (IOException e){
            System.err.println("上传错误");
        }

        return url+objectKey;
    }
}
