import request from '@/utils/request'

// 查询店铺管理员列表
export function listAdmin(query) {
  return request({
    url: '/system1/admin/list',
    method: 'get',
    params: query
  })
}

// 查询店铺管理员详细
export function getAdmin(shopId) {
  return request({
    url: '/system1/admin/' + shopId,
    method: 'get'
  })
}

// 新增店铺管理员
export function addAdmin(data) {
  return request({
    url: '/system1/admin',
    method: 'post',
    data: data
  })
}

// 修改店铺管理员
export function updateAdmin(data) {
  return request({
    url: '/system1/admin',
    method: 'put',
    data: data
  })
}

// 删除店铺管理员
export function delAdmin(shopId) {
  return request({
    url: '/system1/admin/' + shopId,
    method: 'delete'
  })
}
