import request from '@/utils/request'

// 查询课程分类列表
export function listCategory(query) {
  return request({
    url: '/system1/category/list',
    method: 'get',
    params: query
  })
}

export function listCategoryAll() {
  return request({
    url: '/system1/category/All',
    method: 'get',
  })
}


// 查询课程分类详细
export function getCategory(id) {
  return request({
    url: '/system1/category/' + id,
    method: 'get'
  })
}

// 新增课程分类
export function addCategory(data) {
  return request({
    url: '/system1/category',
    method: 'post',
    data: data
  })
}

// 修改课程分类
export function updateCategory(data) {
  return request({
    url: '/system1/category',
    method: 'put',
    data: data
  })
}

// 删除课程分类
export function delCategory(id) {
  return request({
    url: '/system1/category/' + id,
    method: 'delete'
  })
}
