import request from '@/utils/request'

// 查询订单项列表
export function listItem(query) {
  return request({
    url: '/system1/item/list',
    method: 'get',
    params: query
  })
}

// 查询订单项详细
export function getItem(id) {
  return request({
    url: '/system1/item/' + id,
    method: 'get'
  })
}

// 新增订单项
export function addItem(data) {
  return request({
    url: '/system1/item',
    method: 'post',
    data: data
  })
}

// 修改订单项
export function updateItem(data) {
  return request({
    url: '/system1/item',
    method: 'put',
    data: data
  })
}

// 删除订单项
export function delItem(id) {
  return request({
    url: '/system1/item/' + id,
    method: 'delete'
  })
}
