import request from '@/utils/request'

// 查询订单优惠券列表
export function listOrderCoupon(query) {
  return request({
    url: '/system1/orderCoupon/list',
    method: 'get',
    params: query
  })
}

// 查询订单优惠券详细
export function getOrderCoupon(orderId) {
  return request({
    url: '/system1/orderCoupon/' + orderId,
    method: 'get'
  })
}

// 新增订单优惠券
export function addOrderCoupon(data) {
  return request({
    url: '/system1/orderCoupon',
    method: 'post',
    data: data
  })
}

// 修改订单优惠券
export function updateOrderCoupon(data) {
  return request({
    url: '/system1/orderCoupon',
    method: 'put',
    data: data
  })
}

// 删除订单优惠券
export function delOrderCoupon(orderId) {
  return request({
    url: '/system1/orderCoupon/' + orderId,
    method: 'delete'
  })
}
