import request from '@/utils/request'

// 查询课程章节列表
export function listSection(query) {
  return request({
    url: '/system1/section/list',
    method: 'get',
    params: query
  })
}

// 查询课程章节详细
export function getSection(id) {
  return request({
    url: '/system1/section/' + id,
    method: 'get'
  })
}

// 新增课程章节
export function addSection(data) {
  return request({
    url: '/system1/section',
    method: 'post',
    data: data
  })
}

// 修改课程章节
export function updateSection(data) {
  return request({
    url: '/system1/section',
    method: 'put',
    data: data
  })
}

// 删除课程章节
export function delSection(id) {
  return request({
    url: '/system1/section/' + id,
    method: 'delete'
  })
}
