import request from '@/utils/request'

// 查询教师列表
export function listTeacher(query) {
  return request({
    url: '/system1/teacher/list',
    method: 'get',
    params: query
  })
}

export function All(shopId) {
  return request({
    url: '/system1/teacher/All',
    method: 'get',
    params: {
        shopId:shopId
    }
  })
}

// 查询教师详细
export function getTeacher(id) {
  return request({
    url: '/system1/teacher/' + id,
    method: 'get'
  })
}

// 新增教师
export function addTeacher(data) {
  return request({
    url: '/system1/teacher',
    method: 'post',
    data: data
  })
}

// 修改教师
export function updateTeacher(data) {
  return request({
    url: '/system1/teacher',
    method: 'put',
    data: data
  })
}

// 删除教师
export function delTeacher(id) {
  return request({
    url: '/system1/teacher/' + id,
    method: 'delete'
  })
}
